id: putty-phish

info:
  name: putty phishing Detection
  author: rxerium
  severity: info
  description: |
    A putty phishing website was detected
  reference:
    - https://putty.org
  metadata:
    max-request: 1
  tags: phishing,putty,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Download PuTTY - a free SSH and telnet client for Windows'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"putty.org")'
# digest: 4a0a004730450220290fa20f94eceac1b432a1784eb012d9978d1aa5c20d56c5c3e6ed92c48989280221008b64df46143a0952824cfc3255db60309895b39f0a09c0d20b4651b330e6d710:922c64590222798bb761d5b6d8e72950